## telegram 0.1

=== DESCRIPTION ===
Package: telegram
Title: R Wrapper Around the Telegram Bot API
Version: 0.1
Authors@R: person("Luca", "Braglia", email = "lbraglia@gmail.com", role = c("aut", "cre"))
Description: R wrapper around the Telegram Bot API (http://core.telegram.org/bots/api) to access Telegram's messaging facilities with ease (eg you send messages, images, files from R to your smartphone).
URL: http://github.com/lbraglia/telegram
BugReports: http://github.com/lbraglia/telegram/issues
Imports: R6, httr
Depends: R (>= 3.2.3)
License: GPL-3
LazyData: true
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2015-12-24 13:15:41 UTC; l
Author: Luca Braglia [aut, cre]
Maintainer: Luca Braglia <lbraglia@gmail.com>
Repository: CRAN
Date/Publication: 2015-12-24 14:45:31

## telegram 0.3.0

=== DESCRIPTION ===
Package: telegram
Title: R Wrapper Around the Telegram Bot API
Version: 0.3.0
Authors@R: person("Luca", "Braglia", email = "lbraglia@gmail.com", role = c("aut", "cre"))
Description: R wrapper around the Telegram Bot API (http://core.telegram.org/bots/api) to access Telegram's messaging facilities with ease (e.g. you send messages, images, files from R to your smartphone).
URL: http://github.com/lbraglia/telegram
BugReports: http://github.com/lbraglia/telegram/issues
Imports: R6, httr
Depends: R (>= 3.2.3)
License: GPL-3
LazyData: true
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2015-12-29 18:31:05 UTC; l
Author: Luca Braglia [aut, cre]
Maintainer: Luca Braglia <lbraglia@gmail.com>
Repository: CRAN
Date/Publication: 2015-12-29 22:28:43

## telegram 0.4.0

=== DESCRIPTION ===
Package: telegram
Title: R Wrapper Around the Telegram Bot API
Version: 0.4.0
Authors@R: person("Luca", "Braglia", email = "lbraglia@gmail.com", role = c("aut", "cre"))
Description: R wrapper around the Telegram Bot API (http://core.telegram.org/bots/api) to access Telegram's messaging facilities with ease (e.g. you send messages, images, files from R to your smartphone).
URL: http://github.com/lbraglia/telegram
BugReports: http://github.com/lbraglia/telegram/issues
Imports: R6, httr, jsonlite, curl, utils
Depends: R (>= 3.2.3)
License: GPL-3
LazyData: true
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-01-11 08:16:00 UTC; l
Author: Luca Braglia [aut, cre]
Maintainer: Luca Braglia <lbraglia@gmail.com>
Repository: CRAN
Date/Publication: 2016-01-11 14:43:05

## telegram 0.5.0

=== DESCRIPTION ===
Package: telegram
Title: R Wrapper Around the Telegram Bot API
Version: 0.5.0
Authors@R: person("Luca", "Braglia", email = "lbraglia@mailbox.org", role = c("aut", "cre"))
Description: R wrapper around the Telegram Bot API (http://core.telegram.org/bots/api) to access Telegram's messaging facilities with ease (e.g. you send messages, images, files from R to your smartphone).
URL: http://github.com/lbraglia/telegram
BugReports: http://github.com/lbraglia/telegram/issues
Imports: R6, httr, jsonlite, curl, utils
Depends: R (>= 3.2.3)
License: GPL-3
LazyData: true
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-02-15 09:56:16 UTC; l
Author: Luca Braglia [aut, cre]
Maintainer: Luca Braglia <lbraglia@mailbox.org>
Repository: CRAN
Date/Publication: 2016-02-15 14:24:26

## telegram 0.6.0

=== DESCRIPTION ===
Package: telegram
Title: R Wrapper Around the Telegram Bot API
Version: 0.6.0
Authors@R: person("Luca", "Braglia", email = "lbraglia@gmail.com", role = c("aut", "cre"))
Description: R wrapper around the Telegram Bot API (http://core.telegram.org/bots/api) to access Telegram's messaging facilities with ease (e.g. you send messages, images, files from R to your smartphone).
URL: http://github.com/lbraglia/telegram
BugReports: http://github.com/lbraglia/telegram/issues
Imports: R6, httr, jsonlite, curl, utils
Depends: R (>= 3.2.3)
License: GPL-3
LazyData: true
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-09-17 08:37:14 UTC; l
Author: Luca Braglia [aut, cre]
Maintainer: Luca Braglia <lbraglia@gmail.com>
Repository: CRAN
Date/Publication: 2016-09-17 18:03:40

## telegram 0.7.1

=== DESCRIPTION ===
Package: telegram
Title: R Wrapper Around the Telegram Bot API
Version: 0.7.1
Authors@R: person("Luca", "Braglia", email = "lbraglia@gmail.com", role = c("aut", "cre"))
Author: Luca Braglia [aut, cre]
Maintainer: Luca Braglia <lbraglia@gmail.com>
Description: A simple wrapper around the Telegram Bot API (<https://core.telegram.org/bots/api>) to access Telegram's messaging facilities with ease (e.g. you send messages, images, files from R to your smartphone).
URL: https://github.com/lbraglia/telegram
BugReports: https://github.com/lbraglia/telegram/issues
Imports: R6, httr, jsonlite, curl, utils
Depends: R (>= 3.2.3)
License: GPL-3
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-03-25 07:43:09 UTC; l
Repository: CRAN
Date/Publication: 2025-03-25 08:00:06 UTC

## telegram 0.9.44

=== debian/changelog ===
telegram (0.9.44-0mx150+1) mx; urgency=medium

  * Repackaged for MX 15.
  * debian/source: changed from native to quilt format.

 -- Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>  Fri, 22 Apr 2016 21:11:36 -0500

telegram (0.9.44-0ubuntu0) xenial; urgency=medium

  * New upstream release 0.9.44 (20.04.16)
  * - Bug fixes and other minor improvements
  * Upstream release 0.9.43 dev (14.04.16)
  * - Select and copy text in photo / video captions and web page previews
  * - Media player shortcuts are enabled only when player is opened

 -- Marco Simonelli (HackerWolf) <sumydi@gmail.com>  Thu, 20 Apr 2016 21:20:42 +0200

telegram (0.9.42-0ubuntu0) wily; urgency=medium

  * New upstream release 0.9.42 (12.04.16)
  * - Bug fixes and other minor improvements
  * Upstream release 0.9.41 (11.04.16)
  * - Introducing Bot API 2.0, the biggest update to our bot platform since June 2015
  * - Bots can now update existing messages on the fly as you interact with them
  * - New Inline keyboards with callback, ‘open URL’ or ‘switch to inline mode’ buttons help create seamless interfaces
  * - Inline bots can now send all attachments supported by Telegram (videos, music, stickers, locations, etc.)

 -- Marco Simonelli (HackerWolf) <sumydi@gmail.com>  Tue, 12 Apr 2016 11:43:25 +0200

telegram (0.9.40-0ubuntu0) wily; urgency=medium

  * New upstream release 0.9.40 (05.04.16)
  * - Visual improvements
  * Upstream release 0.9.36 dev (26.03.16)
  * - Bug fixes and other minor improvements
  * Upstream release 0.9.35 dev (25.03.16)
  * - Design improvements
  * Upstream release 0.9.34 dev (17.03.16)
  * - Bug fixes and other minor improvements

 -- Marco Simonelli (HackerWolf) <sumydi@gmail.com>  Tue, 05 Apr 2016 20:58:28 +0200

telegram (0.9.33-0ubuntu0) wily; urgency=high

  * New upstream release 0.9.33 (16.03.16)
  * - Linux version critical bug fixed

 -- Marco Simonelli (HackerWolf) <sumydi@gmail.com>  Wed, 16 Mar 2016 00:15:12 +0100

telegram (0.9.32-0ubuntu0) wily; urgency=medium

  * New upstream release 0.9.32 (14.03.16)
  * - Bug fixes and other minor improvements

 -- Marco Simonelli (HackerWolf) <sumydi@gmail.com>  Tue, 15 Mar 2016 10:38:07 +0100

telegram (0.9.31-0ubuntu0) wily; urgency=medium

  * New upstream release 0.9.31 (14.03.16)
  * - Supergroups can now have 5,000 members (up from 1,000)
  * - Groups of any size may be converted to supergroups
  * - Make your supergroup public by setting up a public link – anyone will be able to view the chat and join it
  * - Pin messages to keep important updates visible and notify all members
  * - Select messages to delete, report as spam, block users, or remove all messages from a user
  * Upstream release 0.9.30 dev (03.03.16)
  * - Bug fixes and other minor improvements
  * Upstream release 0.9.29 dev (01.03.16)
  * - Ctrl+W or Ctrl+F4 for close window (Cmd in OS X)
  * - Ctrl+L to lock Telegram if you use a local passcode (Cmd in OS X)
  * - Bug fixes and other minor improvements

 -- Marco Simonelli (HackerWolf) <sumydi@gmail.com>  Mon, 14 Mar 2016 15:13:37 +0100

telegram (0.9.28-0ubuntu0) wily; urgency=medium

  * New upstream release 0.9.28 (26.02.16)
  * - Edit your messages in channels and supergroups
  * - Share links to specific posts in channels via the post context menu
  * - Add admin signatures to messages in channels
  * - Send silent messages in channels that will not notify members, useful for non-urgent or late night posting

 -- Marco Simonelli (HackerWolf) <sumydi@gmail.com>  Fri, 26 Feb 2016 22:41:54 +0100

telegram (0.9.26-0ubuntu1) wily; urgency=medium

  * New upstream release 0.9.26 (22.02.16)
  * - Adaptive layout for wide screens switch added to Settings
  * - Linux version crash fix

 -- Marco Simonelli (HackerWolf) <sumydi@gmail.com>  Mon, 22 Feb 2016 20:51:04 +0100

=== debian/control ===
Source: telegram
Section: utils
Priority: optional
Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Marco Simonelli <sumydi@gmail.com>
Bugs: mailto: <maintainer@mepiscommunity.org>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.6

Package: telegram
Architecture: any
Depends: ${misc:Depends}
Description: Telegram Desktop
 taking back our right to privacy.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-arch build-indep

build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	install -Dm 644 $(CURDIR)/telegram.svg $(CURDIR)/debian/telegram/opt/telegram/telegram.svg
	install -Dm 644 $(CURDIR)/telegram.desktop $(CURDIR)/debian/telegram/usr/share/applications/telegram.desktop
ifeq ($(DEB_HOST_ARCH),amd64)
	install -Dm 644 $(CURDIR)/tsetup64.tar.xz $(CURDIR)/debian/telegram/opt/telegram/telegram.tar.xz
else
	install -Dm 644 $(CURDIR)/tsetup32.tar.xz $(CURDIR)/debian/telegram/opt/telegram/telegram.tar.xz
endif

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_icons
	dh_installmenu
	dh_installmime
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## telegram 5.9.0

=== CMakeLists.txt ===
# This file is part of Telegram Desktop,
# the official desktop application for the Telegram messaging service.
#
# For license and copyright information please follow this link:
# https://github.com/telegramdesktop/tdesktop/blob/master/LEGAL

add_executable(Telegram WIN32 MACOSX_BUNDLE)
init_non_host_target(Telegram)

add_subdirectory(lib_rpl)
add_subdirectory(lib_crl)
add_subdirectory(lib_base)
add_subdirectory(lib_ui)
add_subdirectory(lib_tl)
add_subdirectory(lib_spellcheck)
add_subdirectory(lib_storage)
add_subdirectory(lib_lottie)
add_subdirectory(lib_qr)
add_subdirectory(lib_webrtc)
add_subdirectory(lib_webview)
add_subdirectory(codegen)

get_filename_component(src_loc SourceFiles REALPATH)
get_filename_component(res_loc Resources REALPATH)

include(cmake/telegram_options.cmake)
include(cmake/lib_ffmpeg.cmake)
include(cmake/lib_stripe.cmake)
include(cmake/lib_tgvoip.cmake)
include(cmake/lib_tgcalls.cmake)
include(cmake/lib_prisma.cmake)
include(cmake/td_export.cmake)
include(cmake/td_iv.cmake)
include(cmake/td_lang.cmake)
include(cmake/td_mtproto.cmake)
include(cmake/td_scheme.cmake)
include(cmake/td_ui.cmake)
include(cmake/generate_appdata_changelog.cmake)

if (DESKTOP_APP_TEST_APPS)
    include(cmake/tests.cmake)
endif()

if (WIN32)
    include(cmake/generate_midl.cmake)
    generate_midl(Telegram ${src_loc}
        platform/win/windows_quiethours.idl
        platform/win/windows_toastactivator.idl
    )

    nuget_add_winrt(Telegram)
endif()

set_target_properties(Telegram PROPERTIES AUTOMOC ON)

target_link_libraries(Telegram
PRIVATE
    tdesktop::lib_tgcalls_legacy
    tdesktop::lib_tgcalls
    tdesktop::lib_tgvoip

    # Order in this list defines the order of include paths in command line.
    # We need to place desktop-app::external_minizip this early to have its
    # include paths (usually ${PREFIX}/include/minizip) before any depend that
    # would add ${PREFIX}/include. This path may have a different <zip.h>,
    # for example installed by libzip (https://libzip.org).
    desktop-app::external_minizip

    tdesktop::td_export
    tdesktop::td_iv
    tdesktop::td_lang
    tdesktop::td_mtproto
    tdesktop::td_scheme
    tdesktop::td_ui
    desktop-app::lib_webrtc
    desktop-app::lib_base
    desktop-app::lib_crl
    desktop-app::lib_ui
    desktop-app::lib_tl
    desktop-app::lib_spellcheck
    desktop-app::lib_storage
    desktop-app::lib_lottie
    desktop-app::lib_qr
    desktop-app::lib_webview
    desktop-app::lib_ffmpeg
    desktop-app::lib_stripe
    desktop-app::external_rlottie
    desktop-app::external_zlib
    desktop-app::external_kcoreaddons
    desktop-app::external_qt_static_plugins
    desktop-app::external_qt
    desktop-app::external_qr_code_generator
    desktop-app::external_crash_reports
    desktop-app::external_auto_updates
    desktop-app::external_openssl
    desktop-app::external_openal
    desktop-app::external_xxhash
)

target_precompile_headers(Telegram PRIVATE $<$<COMPILE_LANGUAGE:CXX,OBJCXX>:${src_loc}/stdafx.h>)
nice_target_sources(Telegram ${src_loc}
PRIVATE
    ${style_files}

    api/api_attached_stickers.cpp
    api/api_attached_stickers.h
    api/api_authorizations.cpp
    api/api_authorizations.h
    api/api_blocked_peers.cpp
    api/api_blocked_peers.h
    api/api_bot.cpp
    api/api_bot.h
    api/api_chat_filters.cpp
    api/api_chat_filters.h
    api/api_chat_filters_remove_manager.cpp
    api/api_chat_filters_remove_manager.h
    api/api_chat_invite.cpp
    api/api_chat_invite.h
    api/api_chat_links.cpp
    api/api_chat_links.h
    api/api_chat_participants.cpp
    api/api_chat_participants.h
    api/api_cloud_password.cpp
    api/api_cloud_password.h
    api/api_common.cpp
    api/api_common.h
    api/api_confirm_phone.cpp
    api/api_confirm_phone.h
    api/api_credits.cpp
    api/api_credits.h
    api/api_earn.cpp
    api/api_earn.h
    api/api_editing.cpp
    api/api_editing.h
    api/api_filter_updates.h
    api/api_global_privacy.cpp
    api/api_global_privacy.h
    api/api_hash.cpp
    api/api_hash.h
    api/api_invite_links.cpp
    api/api_invite_links.h
    api/api_media.cpp
    api/api_media.h
    api/api_messages_search.cpp
    api/api_messages_search.h
    api/api_messages_search_merged.cpp
    api/api_messages_search_merged.h
    api/api_peer_colors.cpp
    api/api_peer_colors.h
    api/api_peer_photo.cpp
    api/api_peer_photo.h
    api/api_polls.cpp
    api/api_polls.h
    api/api_premium.cpp
    api/api_premium.h
    api/api_premium_option.cpp
    api/api_premium_option.h
    api/api_report.cpp
    api/api_report.h
    api/api_ringtones.cpp
    api/api_ringtones.h
    api/api_self_destruct.cpp
    api/api_self_destruct.h
    api/api_send_progress.cpp
    api/api_send_progress.h
    api/api_sending.cpp
    api/api_sending.h
    api/api_sensitive_content.cpp
    api/api_sensitive_content.h
    api/api_single_message_search.cpp
    api/api_single_message_search.h
    api/api_statistics.cpp
    api/api_statistics.h
    api/api_statistics_data_deserialize.cpp
    api/api_statistics_data_deserialize.h
    api/api_statistics_sender.cpp
    api/api_statistics_sender.h
    api/api_text_entities.cpp
    api/api_text_entities.h
    api/api_toggling_media.cpp
    api/api_toggling_media.h
    api/api_transcribes.cpp
    api/api_transcribes.h
    api/api_unread_things.cpp
    api/api_unread_things.h
    api/api_updates.cpp
    api/api_updates.h
    api/api_user_names.cpp
    api/api_user_names.h
    api/api_user_privacy.cpp
    api/api_user_privacy.h
    api/api_views.cpp
    api/api_views.h
    api/api_websites.cpp
    api/api_websites.h
    api/api_who_reacted.cpp
    api/api_who_reacted.h
    boxes/filters/edit_filter_box.cpp
    boxes/filters/edit_filter_box.h
    boxes/filters/edit_filter_chats_list.cpp
    boxes/filters/edit_filter_chats_list.h
    boxes/filters/edit_filter_chats_preview.cpp
    boxes/filters/edit_filter_chats_preview.h
    boxes/filters/edit_filter_links.cpp
    boxes/filters/edit_filter_links.h
    boxes/peers/add_bot_to_chat_box.cpp
    boxes/peers/add_bot_to_chat_box.h
    boxes/peers/add_participants_box.cpp
    boxes/peers/add_participants_box.h
    boxes/peers/choose_peer_box.cpp
    boxes/peers/choose_peer_box.h
    boxes/peers/edit_contact_box.cpp
    boxes/peers/edit_contact_box.h
    boxes/peers/edit_forum_topic_box.cpp
    boxes/peers/edit_forum_topic_box.h
    boxes/peers/edit_linked_chat_box.cpp
    boxes/peers/edit_linked_chat_box.h
    boxes/peers/edit_members_visible.cpp
    boxes/peers/edit_members_visible.h
    boxes/peers/edit_participant_box.cpp
    boxes/peers/edit_participant_box.h
    boxes/peers/edit_participants_box.cpp
    boxes/peers/edit_participants_box.h
    boxes/peers/edit_peer_color_box.cpp
    boxes/peers/edit_peer_color_box.h
    boxes/peers/edit_peer_common.h
    boxes/peers/edit_peer_info_box.cpp
    boxes/peers/edit_peer_info_box.h
    boxes/peers/edit_peer_invite_link.cpp
    boxes/peers/edit_peer_invite_link.h
    boxes/peers/edit_peer_invite_links.cpp
    boxes/peers/edit_peer_invite_links.h
    boxes/peers/edit_peer_permissions_box.cpp
    boxes/peers/edit_peer_permissions_box.h
    boxes/peers/edit_peer_reactions.cpp
    boxes/peers/edit_peer_reactions.h
    boxes/peers/edit_peer_requests_box.cpp
    boxes/peers/edit_peer_requests_box.h
    boxes/peers/edit_peer_type_box.cpp
    boxes/peers/edit_peer_type_box.h
    boxes/peers/edit_peer_usernames_list.cpp
    boxes/peers/edit_peer_usernames_list.h
    boxes/peers/peer_short_info_box.cpp
    boxes/peers/peer_short_info_box.h
    boxes/peers/prepare_short_info_box.cpp
    boxes/peers/prepare_short_info_box.h
    boxes/peers/replace_boost_box.cpp
    boxes/peers/replace_boost_box.h
    boxes/about_box.cpp
    boxes/about_box.h
    boxes/about_sponsored_box.cpp
    boxes/about_sponsored_box.h
    boxes/abstract_box.cpp
    boxes/abstract_box.h
    boxes/add_contact_box.cpp
    boxes/add_contact_box.h
    boxes/auto_lock_box.cpp
    boxes/auto_lock_box.h
    boxes/auto_download_box.cpp
    boxes/auto_download_box.h
    boxes/background_box.cpp
    boxes/background_box.h
    boxes/background_preview_box.cpp
    boxes/background_preview_box.h
    boxes/choose_filter_box.cpp
    boxes/choose_filter_box.h
    boxes/connection_box.cpp
    boxes/connection_box.h
    boxes/create_poll_box.cpp
    boxes/create_poll_box.h
    boxes/delete_messages_box.cpp
    boxes/delete_messages_box.h
    boxes/dictionaries_manager.cpp
    boxes/dictionaries_manager.h
    boxes/download_path_box.cpp
    boxes/download_path_box.h
    boxes/edit_caption_box.cpp
    boxes/edit_caption_box.h
    boxes/edit_privacy_box.cpp
    boxes/edit_privacy_box.h
    boxes/gift_credits_box.cpp
    boxes/gift_credits_box.h
    boxes/gift_premium_box.cpp
    boxes/gift_premium_box.h
    boxes/language_box.cpp
    boxes/language_box.h
    boxes/local_storage_box.cpp
    boxes/local_storage_box.h
    boxes/max_invite_box.cpp
    boxes/max_invite_box.h
    boxes/moderate_messages_box.cpp
    boxes/moderate_messages_box.h
    boxes/peer_list_box.cpp
    boxes/peer_list_box.h
    boxes/peer_list_controllers.cpp
    boxes/peer_list_controllers.h
    boxes/peer_list_widgets.cpp
    boxes/peer_list_widgets.h
    boxes/peer_lists_box.cpp
    boxes/peer_lists_box.h
    boxes/passcode_box.cpp
    boxes/passcode_box.h
    boxes/phone_banned_box.cpp
    boxes/phone_banned_box.h
    boxes/pin_messages_box.cpp
    boxes/pin_messages_box.h
    boxes/premium_limits_box.cpp
    boxes/premium_limits_box.h
    boxes/premium_preview_box.cpp
    boxes/premium_preview_box.h
    boxes/reactions_settings_box.cpp
    boxes/reactions_settings_box.h
    boxes/report_messages_box.cpp
    boxes/report_messages_box.h
    boxes/ringtones_box.cpp
    boxes/ringtones_box.h
    boxes/self_destruction_box.cpp
    boxes/self_destruction_box.h
    boxes/send_credits_box.cpp
    boxes/send_credits_box.h
    boxes/send_gif_with_caption_box.cpp
    boxes/send_gif_with_caption_box.h
    boxes/send_files_box.cpp
    boxes/send_files_box.h
    boxes/share_box.cpp
    boxes/share_box.h
    boxes/star_gift_box.cpp
    boxes/star_gift_box.h
    boxes/sticker_set_box.cpp
    boxes/sticker_set_box.h
    boxes/stickers_box.cpp
    boxes/stickers_box.h
    boxes/translate_box.cpp
    boxes/translate_box.h
    boxes/url_auth_box.cpp
    boxes/url_auth_box.h
    boxes/username_box.cpp
    boxes/username_box.h
    calls/group/calls_choose_join_as.cpp
    calls/group/calls_choose_join_as.h
    calls/group/calls_cover_item.cpp
    calls/group/calls_cover_item.h
    calls/group/calls_group_call.cpp
    calls/group/calls_group_call.h
    calls/group/calls_group_common.cpp
    calls/group/calls_group_common.h
    calls/group/calls_group_invite_controller.cpp
    calls/group/calls_group_invite_controller.h
    calls/group/calls_group_members.cpp
    calls/group/calls_group_members.h
    calls/group/calls_group_members_row.cpp
    calls/group/calls_group_members_row.h
    calls/group/calls_group_menu.cpp
    calls/group/calls_group_menu.h
    calls/group/calls_group_panel.cpp
    calls/group/calls_group_panel.h
    calls/group/calls_group_rtmp.cpp
    calls/group/calls_group_rtmp.h
    calls/group/calls_group_settings.cpp
    calls/group/calls_group_settings.h
    calls/group/calls_group_toasts.cpp
    calls/group/calls_group_toasts.h
    calls/group/calls_group_viewport.cpp
    calls/group/calls_group_viewport.h
    calls/group/calls_group_viewport_opengl.cpp
    calls/group/calls_group_viewport_opengl.h
    calls/group/calls_group_viewport_raster.cpp
    calls/group/calls_group_viewport_raster.h
    calls/group/calls_group_viewport_tile.cpp
    calls/group/calls_group_viewport_tile.h
    calls/group/calls_volume_item.cpp
    calls/group/calls_volume_item.h
    calls/calls_box_controller.cpp
    calls/calls_box_controller.h
    calls/calls_call.cpp
    calls/calls_call.h
    calls/calls_emoji_fingerprint.cpp
    calls/calls_emoji_fingerprint.h
    calls/calls_instance.cpp

=== debian/changelog ===
telegram (5.9.0-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Wed, 04 Dec 2024 17:14:55 +0100

=== debian/control ===
Source: telegram
Section: net
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Standards-Version: 4.6.2
Homepage: <insert the upstream URL, if relevant>
#Vcs-Browser: https://salsa.debian.org/debian/telegram
#Vcs-Git: https://salsa.debian.org/debian/telegram.git

Package: telegram
Architecture: all
Depends:
 ${misc:Depends},
Description: <insert up to 60 chars description>
 <Insert long description, indented with spaces.>

## telegram menu-0.3.1

=== requirements.txt ===
apscheduler~=3.6.3
emoji
python-telegram-bot==13.0
validators

## telegram menu-0.3.3

=== requirements.txt ===
apscheduler
emoji
python-telegram-bot==13.0
validators

## telegram menu-0.3.4

=== requirements.txt ===
apscheduler
emoji
python-telegram-bot==13.3
validators

## telegram menu-0.3.5

=== requirements.txt ===
apscheduler>=3.6.3
emoji
python-telegram-bot==13.7
validators

## telegram menu-0.3.7

=== requirements.txt ===
emoji>=1.6.1
python-telegram-bot==13.9
validators

## telegram menu-0.3.8

=== requirements.txt ===
emoji>=1.6.1
python-telegram-bot==13.10
validators

## telegram menu-0.3.9

=== requirements.txt ===
emoji>=1.6.1
python-telegram-bot==13.11
validators

## telegram menu-0.3.13

=== requirements.txt ===
emoji>=1.6.1
python-telegram-bot==13.12
validators

## telegram menu-0.3.15

=== requirements.txt ===
emoji>=1.6.1
python-telegram-bot==13.13
validators

## telegram menu-2.0.1

=== requirements.txt ===
APScheduler>=3.0.0
emoji>=2.0.0
python-telegram-bot==20.0
validators

## telegram menu-2.0.2

=== requirements.txt ===
APScheduler>=3.0.0
emoji>=2.0.0
python-telegram-bot[callback-data]==20.1
tzlocal>=4.0
validators

## telegram types-1.6

=== requirements.txt ===
pydantic==1.9.1
typing_extensions==4.2.0

## telegram types-1.18

=== requirements.txt ===
pydantic==1.9.1
typing_extensions==4.2.0
telectron
